#!/usr/bin/env bash

ip6t="/sbin/ip6tables"


# -------------
# --- Some functions
# -------------
echononl(){
   echo X\\c > /tmp/shprompt$$
   if [ `wc -c /tmp/shprompt$$ | awk '{print $1}'` -eq 1 ]; then
      echo -e -n "$*\\c" 1>&2
   else
       echo -e -n "$*" 1>&2
   fi
   rm /tmp/shprompt$$
}
echo_done() {
   echo -e "\033[75G[ \033[32mdone\033[m ]"
}



echo
echononl "\tFlushing firewall iptable (IPv6).."

# - default policies
# -
$ip6t -P INPUT ACCEPT
$ip6t -P OUTPUT ACCEPT
$ip6t -P FORWARD ACCEPT

## - flush chains
## -
$ip6t -F
$ip6t -F INPUT
$ip6t -F OUTPUT
$ip6t -F FORWARD
$ip6t -F -t mangle
$ip6t -F -t nat
$ip6t -F -t raw
$ip6t -X
$ip6t -Z

echo_done # Flushing firewall iptable (IPv6)..
echo

